## boost-mpi-source1.49 1.49.0

=== debian/changelog ===
boost-mpi-source1.49 (1.49.0-3.2ubuntu1) raring; urgency=low

  * The mpi/universe portion of the build.
  * Merge with Debian testing. Remaining changes:
    - Drop libboost-mpi, libboost-mpi-python, and libboost-graph-parallel (and
      related -dev packages): we don't want to pull all of the mpi packages
      into main.  These are provided in a separate boost-mpi-source1.49
      package
    - Drop libboost1.49-all-dev and provide from boost-mpi-source1.49
    - Adjust debian/rules and debian/control
    - debian/patches/lp1017125-boost-1.49-fix.patch: backport fix for boost
      unordered
    - debian/patches/fix-ftbfs-glibc-2.16.patch: Fix ftbfs
    - debian/patches/fix-ftbfs-python-3.3.patch: Fix ftbfs

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 11 Feb 2013 10:10:23 -0500

boost1.49 (1.49.0-3.2) unstable; urgency=high

  * Non-maintainer upload by the Security Team..
  * Fix UTF-8 validation issues (closes: #699649).

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 04 Feb 2013 01:16:11 +0000

boost-mpi-source1.49 (1.49.0-3.1ubuntu4) raring; urgency=low

  * The mpi/universe portion of the build.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 09 Nov 2012 11:19:03 +0000

boost1.49 (1.49.0-3.1ubuntu4) raring; urgency=low

  * backport fix for boost unordered (LP: #1017125)

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Thu, 08 Nov 2012 02:02:20 +0100

boost-mpi-source1.49 (1.49.0-3.1ubuntu3) raring; urgency=low

  * The mpi/universe portion of the build.
  * Fix ftbfs against eglibc 2.16.
  * Fix ftbfs against python3.3.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Sat, 27 Oct 2012 00:44:21 +0100  

boost1.49 (1.49.0-3.1ubuntu3) raring; urgency=low

  * Fix ftbfs against eglibc 2.16.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Sat, 27 Oct 2012 00:44:21 +0100

boost1.49 (1.49.0-3.1ubuntu2) raring; urgency=low

  * Fix ftbfs against python3.3.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 26 Oct 2012 14:59:17 +0100

boost-mpi-source1.49 (1.49.0-3.1ubuntu1) quantal; urgency=low

  * The mpi/universe portion of the build.
  * Merge with Debian testing.  Remaining Ubuntu changes:
    - Drop everything but libboost-mpi, libboost-mpi-python, and libboost-graph-parallel
      (and related -dev packages)
    - Provide libboost1.49-all-dev
    - Adjust debian/rules and debian/control

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 14 Aug 2012 12:02:28 +0100

boost1.49 (1.49.0-3.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2012-2677_trac-78326.patch: Fixes buffer overflow
    Closes: #677197

 -- Luk Claes <luk@debian.org>  Sat, 23 Jun 2012 08:41:48 +0200

boost-mpi-source1.49 (1.49.0-3ubuntu1) quantal; urgency=low

  * The mpi/universe portion of the build.
  * Merge with Debian testing.  Remaining Ubuntu changes:
    - Drop everything but libboost-mpi, libboost-mpi-python, and libboost-graph-parallel
      (and related -dev packages)
    - Provide libboost1.49-all-dev
    - Adjust debian/rules and debian/control

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 16 May 2012 19:49:06 +0100

boost1.49 (1.49.0-3ubuntu1) quantal; urgency=low

  * Merge with Debian testing.  Remaining Ubuntu changes:
    - Drop libboost-mpi, libboost-mpi-python, and libboost-graph-parallel (and
      related -dev packages): we don't want to pull all of the mpi packages
      into main.  These are provided in a separate boost-mpi-source1.46
      package
    - Drop libboost1.46-all-dev and provide from boost-mpi-source1.46
    - Adjust debian/rules and debian/control

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 16 May 2012 19:49:06 +0100

boost1.49 (1.49.0-3) unstable; urgency=low

  * gcc4.7_trac-6790.patch:
  * gcc4.7_trac-6854.patch:
  * gcc4.7_trac-6755.patch:
  * gcc4.7_trac-76970.patch:
  * gcc4.7_trac-6331.patch:
  * gcc4.7_trac-6431.patch:
  * gcc4.7_trac-6852.patch: New.  Fixes for gcc 4.7 from upstream.
    Closes: #671409

 -- Steve M. Robbins <smr@debian.org>  Sat, 05 May 2012 00:31:50 -0500

boost1.49 (1.49.0-2ubuntu1) quantal; urgency=low

  * Merge with Debian testing.  Remaining Ubuntu changes:
    - Drop libboost-mpi, libboost-mpi-python, and libboost-graph-parallel (and
      related -dev packages): we don't want to pull all of the mpi packages
      into main.  These are provided in a separate boost-mpi-source1.46
      package
    - Drop libboost1.46-all-dev and provide from boost-mpi-source1.46
    - Adjust debian/rules and debian/control

 -- Scott Kitterman <scott@kitterman.com>  Thu, 26 Apr 2012 15:54:55 -0400

boost1.49 (1.49.0-2) unstable; urgency=low

  * control: Add missing -dev package Conflicts for: chrono, locale,
    random, and timer.  Closes: #666120, 666239.

 -- Steve M. Robbins <smr@debian.org>  Thu, 29 Mar 2012 21:30:22 -0500

boost1.49 (1.49.0-1) unstable; urgency=low

  * New upstream.

 -- Steve M. Robbins <smr@debian.org>  Sun, 26 Feb 2012 00:31:44 -0600

boost1.49 (1.49.0rc1-1) UNRELEASED; urgency=low

  * Upstream Release Candidate.

  * patches/fusion-push-front-broken.patch: Remove.  Applied upstream.

 -- Steve M. Robbins <smr@debian.org>  Mon, 20 Feb 2012 15:43:41 -0600

boost1.49 (1.49.0beta1-1) UNRELEASED; urgency=low

  * Upstream Beta 1 Release Candidate.
  
  * patches/foreach.patch:
  * patches/sh4.patch:
  * patches/kfreebsd-thread.patch:
  * patches/math-define-l.patch:
  * patches/gcc-4.7-threading-detection.patch: Removed.  Applied upstream.

 -- Steve M. Robbins <smr@debian.org>  Sat, 28 Jan 2012 21:31:41 -0600

boost1.48 (1.48.0-3) unstable; urgency=low

  * patches/fusion-push-front-broken.patch: New.  Upstream patch that
    fixes #include <boost/fusion/algorithm/transformation/push_front.hpp>.
    Closes: #653812.

  * patches/math-define-l.patch: New.  Rename class template parameter
    "L".  Closes: #653764.

  * patches/gcc-4.7-threading-detection.patch: New, from upstream.  Enable
    gcc 4.7 threading detection.  Closes: #654425.


