=== debian/control ===
Source: boost-mpi-source1.49
Homepage: http://www.boost.org/
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>
Uploaders: Steve M. Robbins <smr@debian.org>, Domenico Andreoli <cavok@debian.org>
Build-Depends: debhelper (>= 8), 
 zlib1g-dev, libbz2-dev, libicu-dev, mpi-default-dev,
 bison, flex, docbook-to-man, help2man, xsltproc, doxygen, 
 python, python-all-dev, 
 python3, python3-all-dev (>= 3.1),
 libboost-serialization1.49-dev, libboost-python1.49-dev
Build-Conflicts: libopenmpi-dev (= 1.3.2-2)
Vcs-Browser: http://svn.debian.org/wsvn/pkg-boost/boost/trunk/
Vcs-Svn: svn://svn.debian.org/svn/pkg-boost/boost/trunk
Standards-Version: 3.9.2

Package: libboost1.49-all-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
 libboost1.49-dev,
 libboost-chrono1.49-dev, 
 libboost-date-time1.49-dev, 
 libboost-filesystem1.49-dev, 
 libboost-graph1.49-dev, 
 libboost-graph-parallel1.49-dev, 
 libboost-iostreams1.49-dev, 
 libboost-locale1.49-dev,
 libboost-math1.49-dev, 
 libboost-mpi1.49-dev, 
 libboost-mpi-python1.49-dev, 
 libboost-program-options1.49-dev, 
 libboost-python1.49-dev, 
 libboost-random1.49-dev, 
 libboost-regex1.49-dev, 
 libboost-serialization1.49-dev, 
 libboost-signals1.49-dev, 
 libboost-system1.49-dev, 
 libboost-test1.49-dev, 
 libboost-thread1.49-dev, 
 libboost-timer1.49-dev, 
 libboost-wave1.49-dev
Description: Boost C++ Libraries development files (ALL)
 The Boost web site provides free, peer-reviewed, portable C++ source
 libraries. The emphasis is on libraries which work well with the C++
 Standard Library. One goal is to establish "existing practice" and
 provide reference implementations so that the Boost libraries are
 suitable for eventual standardization. Some of the libraries have
 already been proposed for inclusion in the C++ Standards Committee's
 upcoming C++ Standard Library Technical Report.
 .
 This package provides the complete Boost development environment,
 including all separately-packaged libraries.

Package: libboost-graph-parallel1.49.0
Homepage: http://www.boost.org/libs/graph_parallel/
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: graphviz
Description: generic graph components and algorithms in C++
 This package forms part of the Boost C++ Libraries collection.
 .
 The Parallel Boost Graph Library is an extension to the Boost Graph Library
 (BGL) for parallel and distributed computing. It offers distributed graphs 
 and graph algorithms to exploit coarse-grained parallelism along with 
 parallel algorithms that exploit fine-grained parallelism, while retaining 
 the same interfaces as the (sequential) BGL. Code written using the sequential
 BGL should be easy to parallelize with the parallel BGL.

Package: libboost-graph-parallel1.49-dev
Homepage: http://www.boost.org/libs/graph_parallel/
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
 libboost1.49-dev (= ${binary:Version}),
 libboost-serialization1.49-dev (= ${binary:Version}),
 libboost-test1.49-dev (= ${binary:Version})
Conflicts: libboost-graph-parallel1.42-dev, libboost-graph-parallel1.46-dev, libboost-graph-parallel1.48-dev
Recommends: libboost-graph-parallel1.49.0 (= ${binary:Version})
Description: generic graph components and algorithms in C++
 This package forms part of the Boost C++ Libraries collection.
 .
 The Parallel Boost Graph Library is an extension to the Boost Graph Library
 (BGL) for parallel and distributed computing. It offers distributed graphs 
 and graph algorithms to exploit coarse-grained parallelism along with 
 parallel algorithms that exploit fine-grained parallelism, while retaining 
 the same interfaces as the (sequential) BGL. Code written using the sequential
 BGL should be easy to parallelize with the parallel BGL.

Package: libboost-mpi1.49.0
Homepage: http://www.boost.org/doc/html/mpi.html
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: C++ interface to the Message Passing Interface (MPI)
 This package forms part of the Boost C++ Libraries collection.
 .
 The Boost.MPI library provides a C++ interface to MPI that
 supports modern C++ development styles, including complete support for
 user-defined data types and C++ Standard Library types, arbitrary function
 objects for collective algorithms, and the use of modern C++ library
 techniques to maintain maximal efficiency.

Package: libboost-mpi1.49-dev
Homepage: http://www.boost.org/doc/html/mpi.html
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
 libboost1.49-dev (= ${binary:Version}),
 libboost-serialization1.49-dev (= ${binary:Version}),
 libboost-mpi1.49.0 (= ${binary:Version}),
 mpi-default-dev
Suggests: libboost-graph1.49-dev
Conflicts: libboost-mpi1.42-dev, libboost-mpi1.46-dev, libboost-mpi1.48-dev
Description: C++ interface to the Message Passing Interface (MPI)
 This package forms part of the Boost C++ Libraries collection.
 .
 The Boost.MPI library provides a C++ interface to MPI that
 supports modern C++ development styles, including complete support for
 user-defined data types and C++ Standard Library types, arbitrary function
 objects for collective algorithms, and the use of modern C++ library
 techniques to maintain maximal efficiency.

Package: libboost-mpi-python1.49.0
Homepage: http://www.boost.org/doc/html/mpi/python.html
Architecture: any
Section: python
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}
Suggests: python, python3
Breaks: ${python:Breaks}
Conflicts: libboost-mpi-python1.40.0,
 libboost-mpi-python1.41.0,
 libboost-mpi-python1.42.0,
 libboost-mpi-python1.46.0, libboost-mpi-python1.46.1, libboost-mpi-python1.48.0
Description: C++ interface to the Message Passing Interface (MPI), Python Bindings
 This package forms part of the Boost C++ Libraries collection.
 .
 The Boost.MPI library provides a C++ interface to MPI that
 supports modern C++ development styles, including complete support for
 user-defined data types and C++ Standard Library types, arbitrary function
 objects for collective algorithms, and the use of modern C++ library
 techniques to maintain maximal efficiency.
 .
 This package provides Python Bindings to the C++ interface.
 .
 One of the python interpreter packages is required to use the bindings.

Package: libboost-mpi-python1.49-dev
Homepage: http://www.boost.org/doc/html/mpi/python.html
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
 libboost-mpi1.49-dev (= ${binary:Version}),
 libboost-mpi-python1.49.0 (= ${binary:Version})
Conflicts: libboost-mpi-python1.42-dev, libboost-mpi-python1.46-dev, libboost-mpi-python1.48-dev
Description: C++ interface to the Message Passing Interface (MPI), Python Bindings
 This package forms part of the Boost C++ Libraries collection.
 .
 The Boost.MPI library provides a C++ interface to MPI that
 supports modern C++ development styles, including complete support for
 user-defined data types and C++ Standard Library types, arbitrary function
 objects for collective algorithms, and the use of modern C++ library
 techniques to maintain maximal efficiency.
 .
 This package provides Python Bindings to the C++ interface.
